From 0672de780c506cd1ca885a55a7bf0cc5f2f9b0ab Mon Sep 17 00:00:00 2001
From: Joao Pereira and Sarah McAlear <pair+jpereira+smcalear@pivotal.io>
Date: Thu, 27 Apr 2017 17:14:10 -0400
Subject: [PATCH] Change the name of the Server created for Feature tests
 [#144055953]

---
 web/regression/feature_utils/base_feature_test.py | 4 ++++
 1 file changed, 4 insertions(+)

diff --git a/web/regression/feature_utils/base_feature_test.py b/web/regression/feature_utils/base_feature_test.py
index dc704e8e..89954290 100644
--- a/web/regression/feature_utils/base_feature_test.py
+++ b/web/regression/feature_utils/base_feature_test.py
@@ -13,6 +13,8 @@ import os
 
 from datetime import datetime
 
+from copy import deepcopy
+
 import config as app_config
 from pgadmin.utils.route import BaseTestGenerator
 from regression.feature_utils.pgadmin_page import PgadminPage
@@ -22,6 +24,8 @@ class BaseFeatureTest(BaseTestGenerator):
     CURRENT_PATH = os.path.dirname(os.path.realpath(__file__))
 
     def setUp(self):
+        self.server = deepcopy(self.server)
+        self.server['name'] += ' Feature Tests'
         if app_config.SERVER_MODE:
             self.skipTest("Currently, config is set to start pgadmin in server mode. "
                           "This test doesn't know username and password so doesn't work in server mode")
-- 
2.12.0

